> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Remove Document From Existing Tuple

POST https://api.staple.io/v1/matching/update/tuple/remove-document
Content-Type: application/json

This endpoint is used to update a existing matching document tuple by removing document from the tuple.

Reference: https://docs.staple.ai/api-reference/v1/matching/remove-document-from-existing-tuple

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /v1/matching/update/tuple/remove-document:
    post:
      operationId: removeDocumentFromExistingTuple
      summary: Remove Document From Existing Tuple
      description: >-
        This endpoint is used to update a existing matching document tuple by
        removing document from the tuple.
      tags:
        - matching
      parameters:
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Matching_removeDocumentFromExistingTuple_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                tupleId:
                  type: integer
                tupleElementId:
                  type: integer
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    Matching_removeDocumentFromExistingTuple_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Matching_removeDocumentFromExistingTuple_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples

### Remove Document From Existing Tuple



**Request**

```json
undefined
```

**Response**

```json
{
  "removeMatchingDocumentTupleElement": {
    "message": "Update request has been accepted."
  }
}
```

**SDK Code**

```python Remove Document From Existing Tuple
import requests

url = "https://api.staple.io/v1/matching/update/tuple/remove-document"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Remove Document From Existing Tuple
const url = 'https://api.staple.io/v1/matching/update/tuple/remove-document';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Remove Document From Existing Tuple
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/matching/update/tuple/remove-document"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Remove Document From Existing Tuple
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/matching/update/tuple/remove-document")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Remove Document From Existing Tuple
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.staple.io/v1/matching/update/tuple/remove-document")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Remove Document From Existing Tuple
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.staple.io/v1/matching/update/tuple/remove-document', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Remove Document From Existing Tuple
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/matching/update/tuple/remove-document");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Remove Document From Existing Tuple
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/matching/update/tuple/remove-document")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Matching_removeDocumentFromExistingTuple_example



**Request**

```json
{
  "tupleId": 1,
  "tupleElementId": 14577
}
```

**Response**

```json
{
  "removeMatchingDocumentTupleElement": {
    "message": "Update request has been accepted."
  }
}
```

**SDK Code**

```python Matching_removeDocumentFromExistingTuple_example
import requests

url = "https://api.staple.io/v1/matching/update/tuple/remove-document"

payload = {
    "tupleId": 1,
    "tupleElementId": 14577
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Matching_removeDocumentFromExistingTuple_example
const url = 'https://api.staple.io/v1/matching/update/tuple/remove-document';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"tupleId":1,"tupleElementId":14577}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Matching_removeDocumentFromExistingTuple_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/matching/update/tuple/remove-document"

	payload := strings.NewReader("{\n  \"tupleId\": 1,\n  \"tupleElementId\": 14577\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Matching_removeDocumentFromExistingTuple_example
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/matching/update/tuple/remove-document")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"tupleId\": 1,\n  \"tupleElementId\": 14577\n}"

response = http.request(request)
puts response.read_body
```

```java Matching_removeDocumentFromExistingTuple_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.staple.io/v1/matching/update/tuple/remove-document")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"tupleId\": 1,\n  \"tupleElementId\": 14577\n}")
  .asString();
```

```php Matching_removeDocumentFromExistingTuple_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.staple.io/v1/matching/update/tuple/remove-document', [
  'body' => '{
  "tupleId": 1,
  "tupleElementId": 14577
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Matching_removeDocumentFromExistingTuple_example
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/matching/update/tuple/remove-document");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"tupleId\": 1,\n  \"tupleElementId\": 14577\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Matching_removeDocumentFromExistingTuple_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "tupleId": 1,
  "tupleElementId": 14577
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/matching/update/tuple/remove-document")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```